Package com.google.earth.kml._2

# Class ColorStyleType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.ColorStyleType

Direct Known Subclasses:
  `IconStyleType`, `LabelStyleType`, `LineStyleType`, `PolyStyleType`

public abstract class ColorStyleType extends ObjectType
<p>Java class for ColorStyleType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ColorStyleType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <sequence> <element name="color" type="{http://earth.google.com/kml/2.1}color" minOccurs="0"/> <element name="colorMode" type="{http://earth.google.com/kml/2.1}colorModeEnum" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected byte[]`
  `color`
  `protected ColorModeEnum`
  `colorMode`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorStyleType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getColor()`
  Gets the value of the color property.
  `ColorModeEnum`
  `getColorMode()`
  Gets the value of the colorMode property.
  `void`
  `setColor(byte[] value)`
  Sets the value of the color property.
  `void`
  `setColorMode(ColorModeEnum value)`
  Sets the value of the colorMode property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### color

    protected byte[] color

  - ### colorMode

    protected ColorModeEnum colorMode

- ## Constructor Details

  - ### ColorStyleType

    public ColorStyleType()

- ## Method Details

  - ### getColor

    public byte[] getColor()
    Gets the value of the color property.
    Returns:
      possible object is `String`

  - ### setColor

    public void setColor(byte[] value)
    Sets the value of the color property.
    Parameters:
      `value` - allowed object is `String`

  - ### getColorMode

    public ColorModeEnum getColorMode()
    Gets the value of the colorMode property.
    Returns:
      possible object is `ColorModeEnum`

  - ### setColorMode

    public void setColorMode(ColorModeEnum value)
    Sets the value of the colorMode property.
    Parameters:
      `value` - allowed object is `ColorModeEnum`